> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List the task's GitHub feedback dispatch ledger



## OpenAPI

````yaml api-reference/openapi.v1.json GET /tasks/{taskID}/github/dispatches
openapi: 3.1.0
info:
  title: Aether Public API
  version: 0.1.0
  description: >-
    The versioned, public Aether REST API. Authenticate with an `aether_`
    platform API key or a session token.
servers:
  - url: https://api.runaether.dev/v1
security:
  - bearerAuth: []
paths:
  /tasks/{taskID}/github/dispatches:
    get:
      tags:
        - tasks
      summary: List the task's GitHub feedback dispatch ledger
      operationId: listTaskGithubDispatches
      parameters:
        - in: path
          name: taskID
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskGitHubDispatchList'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    TaskGitHubDispatchList:
      additionalProperties: false
      properties:
        dispatches:
          items:
            discriminator:
              mapping:
                ci_head:
                  $ref: '#/components/schemas/TaskGitHubDispatchCiHead'
                issue_comment:
                  $ref: '#/components/schemas/TaskGitHubDispatchIssueComment'
                review:
                  $ref: '#/components/schemas/TaskGitHubDispatchReview'
                review_comment:
                  $ref: '#/components/schemas/TaskGitHubDispatchReviewComment'
              propertyName: kind
            oneOf:
              - $ref: '#/components/schemas/TaskGitHubDispatchCiHead'
              - $ref: '#/components/schemas/TaskGitHubDispatchReview'
              - $ref: '#/components/schemas/TaskGitHubDispatchReviewComment'
              - $ref: '#/components/schemas/TaskGitHubDispatchIssueComment'
          type: array
      required:
        - dispatches
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    TaskGitHubDispatchCiHead:
      additionalProperties: false
      properties:
        dispatched_at:
          minLength: 1
          type: string
        head_sha:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        kind:
          enum:
            - ci_head
          type: string
        message_id:
          format: uuid
          type: string
        source:
          enum:
            - auto
            - manual
          type: string
      required:
        - id
        - kind
        - head_sha
        - source
        - dispatched_at
      type: object
    TaskGitHubDispatchIssueComment:
      additionalProperties: false
      properties:
        comment_github_id:
          format: int64
          minimum: 1
          type: integer
        dispatched_at:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        kind:
          enum:
            - issue_comment
          type: string
        message_id:
          format: uuid
          type: string
        source:
          enum:
            - auto
            - manual
          type: string
      required:
        - id
        - kind
        - comment_github_id
        - source
        - dispatched_at
      type: object
    TaskGitHubDispatchReview:
      additionalProperties: false
      properties:
        comment_github_id:
          format: int64
          minimum: 1
          type: integer
        dispatched_at:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        kind:
          enum:
            - review
          type: string
        message_id:
          format: uuid
          type: string
        source:
          enum:
            - auto
            - manual
          type: string
      required:
        - id
        - kind
        - comment_github_id
        - source
        - dispatched_at
      type: object
    TaskGitHubDispatchReviewComment:
      additionalProperties: false
      properties:
        comment_github_id:
          format: int64
          minimum: 1
          type: integer
        dispatched_at:
          minLength: 1
          type: string
        id:
          format: uuid
          type: string
        kind:
          enum:
            - review_comment
          type: string
        message_id:
          format: uuid
          type: string
        source:
          enum:
            - auto
            - manual
          type: string
      required:
        - id
        - kind
        - comment_github_id
        - source
        - dispatched_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````